### Constructor

# Shumate RasterRenderer new

#### Declaration [src]

    ShumateRasterRenderer*
    shumate_raster_renderer_new (
      ShumateDataSource* data_source
    )

#### Description [src]

Creates a new `ShumateRasterRenderer` that uses the given data source.

#### Parameters

`data_source`

  Type: `ShumateDataSource`

  A `ShumateDataSource` to provide tile image data.

  The data is owned by the caller of the function.

#### Return value

Type: `ShumateRasterRenderer`

A newly constructed `ShumateRasterRenderer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.